<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesPaciente.home.createOrEditLabel"
          data-cy="PacienteCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesPaciente.home.createOrEditLabel')"
        >
          Create or edit a Paciente
        </h2>
        <div>
          <div class="form-group" v-if="paciente.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="paciente.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.nombre')" for="paciente-nombre">Nombre</label>
            <input
              type="text"
              class="form-control"
              name="nombre"
              id="paciente-nombre"
              data-cy="nombre"
              :class="{ valid: !$v.paciente.nombre.$invalid, invalid: $v.paciente.nombre.$invalid }"
              v-model="$v.paciente.nombre.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesPaciente.tipoIdentificacion')"
              for="paciente-tipoIdentificacion"
              >Tipo Identificacion</label
            >
            <select
              class="form-control"
              name="tipoIdentificacion"
              :class="{ valid: !$v.paciente.tipoIdentificacion.$invalid, invalid: $v.paciente.tipoIdentificacion.$invalid }"
              v-model="$v.paciente.tipoIdentificacion.$model"
              id="paciente-tipoIdentificacion"
              data-cy="tipoIdentificacion"
            >
              <option
                v-for="identificaciont in identificaciontValues"
                :key="identificaciont"
                v-bind:value="identificaciont"
                v-bind:label="$t('gatewayApp.Identificaciont.' + identificaciont)"
              >
                {{ identificaciont }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.identificacion')" for="paciente-identificacion"
              >Identificacion</label
            >
            <input
              type="number"
              class="form-control"
              name="identificacion"
              id="paciente-identificacion"
              data-cy="identificacion"
              :class="{ valid: !$v.paciente.identificacion.$invalid, invalid: $v.paciente.identificacion.$invalid }"
              v-model.number="$v.paciente.identificacion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.edad')" for="paciente-edad">Edad</label>
            <input
              type="number"
              class="form-control"
              name="edad"
              id="paciente-edad"
              data-cy="edad"
              :class="{ valid: !$v.paciente.edad.$invalid, invalid: $v.paciente.edad.$invalid }"
              v-model.number="$v.paciente.edad.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.sexo')" for="paciente-sexo">Sexo</label>
            <select
              class="form-control"
              name="sexo"
              :class="{ valid: !$v.paciente.sexo.$invalid, invalid: $v.paciente.sexo.$invalid }"
              v-model="$v.paciente.sexo.$model"
              id="paciente-sexo"
              data-cy="sexo"
            >
              <option v-for="sexop in sexopValues" :key="sexop" v-bind:value="sexop" v-bind:label="$t('gatewayApp.Sexop.' + sexop)">
                {{ sexop }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.telefono')" for="paciente-telefono">Telefono</label>
            <input
              type="number"
              class="form-control"
              name="telefono"
              id="paciente-telefono"
              data-cy="telefono"
              :class="{ valid: !$v.paciente.telefono.$invalid, invalid: $v.paciente.telefono.$invalid }"
              v-model.number="$v.paciente.telefono.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.direccion')" for="paciente-direccion"
              >Direccion</label
            >
            <input
              type="text"
              class="form-control"
              name="direccion"
              id="paciente-direccion"
              data-cy="direccion"
              :class="{ valid: !$v.paciente.direccion.$invalid, invalid: $v.paciente.direccion.$invalid }"
              v-model="$v.paciente.direccion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.pesoKG')" for="paciente-pesoKG">Peso KG</label>
            <input
              type="number"
              class="form-control"
              name="pesoKG"
              id="paciente-pesoKG"
              data-cy="pesoKG"
              :class="{ valid: !$v.paciente.pesoKG.$invalid, invalid: $v.paciente.pesoKG.$invalid }"
              v-model.number="$v.paciente.pesoKG.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.estaturaCM')" for="paciente-estaturaCM"
              >Estatura CM</label
            >
            <input
              type="number"
              class="form-control"
              name="estaturaCM"
              id="paciente-estaturaCM"
              data-cy="estaturaCM"
              :class="{ valid: !$v.paciente.estaturaCM.$invalid, invalid: $v.paciente.estaturaCM.$invalid }"
              v-model.number="$v.paciente.estaturaCM.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.grupoEtnico')" for="paciente-grupoEtnico"
              >Grupo Etnico</label
            >
            <select
              class="form-control"
              name="grupoEtnico"
              :class="{ valid: !$v.paciente.grupoEtnico.$invalid, invalid: $v.paciente.grupoEtnico.$invalid }"
              v-model="$v.paciente.grupoEtnico.$model"
              id="paciente-grupoEtnico"
              data-cy="grupoEtnico"
            >
              <option
                v-for="grupoetnicop in grupoetnicopValues"
                :key="grupoetnicop"
                v-bind:value="grupoetnicop"
                v-bind:label="$t('gatewayApp.Grupoetnicop.' + grupoetnicop)"
              >
                {{ grupoetnicop }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesPaciente.estratoSocioeconomico')"
              for="paciente-estratoSocioeconomico"
              >Estrato Socioeconomico</label
            >
            <select
              class="form-control"
              name="estratoSocioeconomico"
              :class="{ valid: !$v.paciente.estratoSocioeconomico.$invalid, invalid: $v.paciente.estratoSocioeconomico.$invalid }"
              v-model="$v.paciente.estratoSocioeconomico.$model"
              id="paciente-estratoSocioeconomico"
              data-cy="estratoSocioeconomico"
            >
              <option
                v-for="estratop in estratopValues"
                :key="estratop"
                v-bind:value="estratop"
                v-bind:label="$t('gatewayApp.Estratop.' + estratop)"
              >
                {{ estratop }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesPaciente.oximetriaReferencia')"
              for="paciente-oximetriaReferencia"
              >Oximetria Referencia</label
            >
            <input
              type="number"
              class="form-control"
              name="oximetriaReferencia"
              id="paciente-oximetriaReferencia"
              data-cy="oximetriaReferencia"
              :class="{ valid: !$v.paciente.oximetriaReferencia.$invalid, invalid: $v.paciente.oximetriaReferencia.$invalid }"
              v-model.number="$v.paciente.oximetriaReferencia.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesPaciente.ritmoCardiacoReferencia')"
              for="paciente-ritmoCardiacoReferencia"
              >Ritmo Cardiaco Referencia</label
            >
            <input
              type="number"
              class="form-control"
              name="ritmoCardiacoReferencia"
              id="paciente-ritmoCardiacoReferencia"
              data-cy="ritmoCardiacoReferencia"
              :class="{ valid: !$v.paciente.ritmoCardiacoReferencia.$invalid, invalid: $v.paciente.ritmoCardiacoReferencia.$invalid }"
              v-model.number="$v.paciente.ritmoCardiacoReferencia.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesPaciente.presionSistolicaReferencia')"
              for="paciente-presionSistolicaReferencia"
              >Presion Sistolica Referencia</label
            >
            <input
              type="number"
              class="form-control"
              name="presionSistolicaReferencia"
              id="paciente-presionSistolicaReferencia"
              data-cy="presionSistolicaReferencia"
              :class="{ valid: !$v.paciente.presionSistolicaReferencia.$invalid, invalid: $v.paciente.presionSistolicaReferencia.$invalid }"
              v-model.number="$v.paciente.presionSistolicaReferencia.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesPaciente.presionDistolicaReferencia')"
              for="paciente-presionDistolicaReferencia"
              >Presion Distolica Referencia</label
            >
            <input
              type="number"
              class="form-control"
              name="presionDistolicaReferencia"
              id="paciente-presionDistolicaReferencia"
              data-cy="presionDistolicaReferencia"
              :class="{ valid: !$v.paciente.presionDistolicaReferencia.$invalid, invalid: $v.paciente.presionDistolicaReferencia.$invalid }"
              v-model.number="$v.paciente.presionDistolicaReferencia.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.comentarios')" for="paciente-comentarios"
              >Comentarios</label
            >
            <textarea
              class="form-control"
              name="comentarios"
              id="paciente-comentarios"
              data-cy="comentarios"
              :class="{ valid: !$v.paciente.comentarios.$invalid, invalid: $v.paciente.comentarios.$invalid }"
              v-model="$v.paciente.comentarios.$model"
            ></textarea>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.pasosReferencia')" for="paciente-pasosReferencia"
              >Pasos Referencia</label
            >
            <input
              type="number"
              class="form-control"
              name="pasosReferencia"
              id="paciente-pasosReferencia"
              data-cy="pasosReferencia"
              :class="{ valid: !$v.paciente.pasosReferencia.$invalid, invalid: $v.paciente.pasosReferencia.$invalid }"
              v-model.number="$v.paciente.pasosReferencia.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesPaciente.caloriasReferencia')"
              for="paciente-caloriasReferencia"
              >Calorias Referencia</label
            >
            <input
              type="number"
              class="form-control"
              name="caloriasReferencia"
              id="paciente-caloriasReferencia"
              data-cy="caloriasReferencia"
              :class="{ valid: !$v.paciente.caloriasReferencia.$invalid, invalid: $v.paciente.caloriasReferencia.$invalid }"
              v-model.number="$v.paciente.caloriasReferencia.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.metaReferencia')" for="paciente-metaReferencia"
              >Meta Referencia</label
            >
            <input
              type="text"
              class="form-control"
              name="metaReferencia"
              id="paciente-metaReferencia"
              data-cy="metaReferencia"
              :class="{ valid: !$v.paciente.metaReferencia.$invalid, invalid: $v.paciente.metaReferencia.$invalid }"
              v-model="$v.paciente.metaReferencia.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.user')" for="paciente-user">User</label>
            <select class="form-control" id="paciente-user" data-cy="user" name="user" v-model="paciente.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="paciente.user && userOption.id === paciente.user.id ? paciente.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.ciudad')" for="paciente-ciudad">Ciudad</label>
            <select class="form-control" id="paciente-ciudad" data-cy="ciudad" name="ciudad" v-model="paciente.ciudad">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="paciente.ciudad && ciudadOption.id === paciente.ciudad.id ? paciente.ciudad : ciudadOption"
                v-for="ciudadOption in ciudads"
                :key="ciudadOption.id"
              >
                {{ ciudadOption.ciudad }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.condicion')" for="paciente-condicion"
              >Condicion</label
            >
            <select class="form-control" id="paciente-condicion" data-cy="condicion" name="condicion" v-model="paciente.condicion">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="paciente.condicion && condicionOption.id === paciente.condicion.id ? paciente.condicion : condicionOption"
                v-for="condicionOption in condicions"
                :key="condicionOption.id"
              >
                {{ condicionOption.id }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.ips')" for="paciente-ips">Ips</label>
            <select class="form-control" id="paciente-ips" data-cy="ips" name="ips" v-model="paciente.ips">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="paciente.ips && iPSOption.id === paciente.ips.id ? paciente.ips : iPSOption"
                v-for="iPSOption in iPS"
                :key="iPSOption.id"
              >
                {{ iPSOption.nombre }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.tratamiento')" for="paciente-tratamiento"
              >Tratamiento</label
            >
            <select class="form-control" id="paciente-tratamiento" data-cy="tratamiento" name="tratamiento" v-model="paciente.tratamiento">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="
                  paciente.tratamiento && tratamientoOption.id === paciente.tratamiento.id ? paciente.tratamiento : tratamientoOption
                "
                v-for="tratamientoOption in tratamientos"
                :key="tratamientoOption.id"
              >
                {{ tratamientoOption.descripcionTratamiento }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPaciente.farmaceutica')" for="paciente-farmaceutica"
              >Farmaceutica</label
            >
            <select
              class="form-control"
              id="paciente-farmaceutica"
              data-cy="farmaceutica"
              name="farmaceutica"
              v-model="paciente.farmaceutica"
            >
              <option v-bind:value="null"></option>
              <option
                v-bind:value="
                  paciente.farmaceutica && farmaceuticaOption.id === paciente.farmaceutica.id ? paciente.farmaceutica : farmaceuticaOption
                "
                v-for="farmaceuticaOption in farmaceuticas"
                :key="farmaceuticaOption.id"
              >
                {{ farmaceuticaOption.nombre }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.paciente.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./paciente-update.component.ts"></script>
